Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008229 [DCSS] Patches minor N/A 2014-03-05 05:10 2014-03-18 03:32
Reporter chris View Status public  
Assigned To wheals
Priority normal Resolution done  
Status closed   Product Branch 0.14 ancient branch
Summary 0008229: Make slow heal less annoying
Description
From c0bd1939763652f2d19e8e36a3540bcf4cc973d4 Mon Sep 17 00:00:00 2001
From: Chris Oelmueller <chris.oelmueller@gmail.com>
Date: Wed, 5 Mar 2014 05:04:49 +0100
Subject: Make slow heal less annoying

---
 crawl-ref/source/effects.cc | 8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)

diff --git a/crawl-ref/source/effects.cc b/crawl-ref/source/effects.cc
index caecd38..6a54c4c 100644
--- a/crawl-ref/source/effects.cc
+++ b/crawl-ref/source/effects.cc
@@ -2141,13 +2141,9 @@ static void _recover_stats(int time_delta)
             }
         }
 
-        // Slow heal mutation.  Applied last.
-        // Each level reduces your stat recovery by one third.
-        if (player_mutation_level(MUT_SLOW_HEALING) > 0
-            && x_chance_in_y(player_mutation_level(MUT_SLOW_HEALING), 3))
-        {
+        // Slow heal 3 mutation stops stat recovery.
+        if (player_mutation_level(MUT_SLOW_HEALING) == 3)
             recovery = false;
-        }
 
         // Rate of recovery equals one level of MUT_DETERIORATION.
         if (recovery && x_chance_in_y(4, 200))
-- 
1.9.0
Additional Information
Tags No tags attached.
Attached Files ? file icon 0001-Make-slow-heal-less-annoying.patch [^] (1,096 bytes) 2014-03-05 05:10 [Show Content]

- Relationships

There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2014-03-05 05:10 chris New Issue
2014-03-05 05:10 chris File Added: 0001-Make-slow-heal-less-annoying.patch
2014-03-06 07:30 wheals Status new => resolved
2014-03-06 07:30 wheals Fixed in Branch => 0.14 development branch
2014-03-06 07:30 wheals Resolution open => done
2014-03-06 07:30 wheals Assigned To => wheals
2014-03-18 03:32 chris Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker